List purchases
Lists an organization's purchases of credits, newest first.
GET
Lists an organization's purchases of credits, newest first.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
organization*stringThe organization's ID.
Match
^org_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of items to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
nextPageToken*stringToken for the next page; empty on the last page.
purchases*array<>Purchases, newest first.
curl -X GET 'https://api.kosem.ai/v1/organizations/string/purchases'Example Response
{
"nextPageToken": "string",
"purchases": [
{
"amount": {
"currencyCode": "string",
"nanos": -999999999,
"units": 0
},
"checkoutUri": "string",
"createTime": "2019-08-24T14:15:22Z",
"creditGrant": "string",
"expireTime": "2019-08-24T14:15:22Z",
"failure": "string",
"invoiceUri": "string",
"kind": "CHECKOUT",
"name": "string",
"receiptUri": "string",
"state": "OPEN",
"updateTime": "2019-08-24T14:15:22Z"
}
]
}